Index Page pckcls_c

A B C D E F G H I J K L M N O P Q R S T U V W X

Procedure Abstract Required_Reading Keywords Brief_I/O Detailed_Input | Detailed_Output Parameters Exceptions Files Particulars Examples | Restrictions Literature_References Author_and_Institution Version Index_Entries

#### Procedure

       void pckcls_c ( SpiceInt handle )

#### Abstract

       Close an open PCK file.

#### Required_Reading

       PCK

#### Keywords

       PCK

#### Brief_I/O

       VARIABLE  I/O  DESCRIPTION
       --------  ---  --------------------------------------------------
       handle     I   Handle of the PCK file to be closed.

#### Detailed_Input

       handle   The handle of the PCK file that is to be closed.

#### Detailed_Output

       None.

#### Parameters

       None.

#### Exceptions

       1) If there are no segments in the file the error
          SPICE(NOSEGMENTSFOUND) will be signaled.

#### Files

       See argument `handle'.

#### Particulars

       None.

#### Examples

       Suppose that you want to create a new PCK file called "new.PCK"
       that contains a single type 2 PCK segment and has room for at
       least 5000 comment characters. The following code fragment should
       take care of this for you, assuming that all of the variables
       passed to the PCK type 2 segment writer have appropriate values.

          name   = "new.pck";
          ifname = "Test PCK file";

          pckopn_c ( name, ifname, 5000, &handle );

          pckw02_c ( handle, body,   frame_c, first,   last,
                     segid,  intlen, n,       polydg,  cdata,
                     btime                                   );

          pckcls_c ( handle );

#### Restrictions

        None.

#### Literature_References

        None.

#### Author_and_Institution

        N.J. Bachman      (JPL)
        K.R. Gehringer    (JPL)

#### Version

       -CSPICE Version 1.0.0, 16-DEC-2016 (NJB) (KRG)

#### Index_Entries

       close a pck file

#### Link to routine pckcls_c source file pckcls_c.c

    Wed Apr  5 17:54:40 2017